# Xonotic

Xonotic is a [free as in freedom](free_software.md) fast multiplayer arena [first-person-shooter](fps_game.md) [game](game.md) similar to e.g. [Quake](quake.md). It is one of the best libre games, i.e. games that are completely free by both code and data/content. It is available under [GPLv3](gpl.md). Its gameplay, graphics and customizability are amazing, it could very well be considered the best in the AFPS genre, even compared to AAA [proprietary](proprietary.md) games, which is extremely rare.

{ I've played Xonotic for years, it's really an excellent game. I've met a lot of nice people there as the players are usually programmers and people looking for [FOSS](foss.md). The gameplay is addictive and relaxing and you can have a great chat during it. Xonotic is a masterpiece. ~drummyfish }

Xonotic was forked from a game called [Nexuiz](nexuiz.md) after a trademark controversy. Nexuiz itself was created on top of liberated Quake 1 engine, so Xonotic still bears a lot Quake's legacy, however it masterfully expands on its core principles and makes the gameplay even better. For example rockets shot by rocket launcher can be guided with mouse while holding down the left button which adds a new element of skill and beautiful frag opportunities. New types of weapons were added to the classic AFPS weapons (e.g. the infamous electro, a [meme](meme.md) spamming weapon used by noobs for its forgiveness of lack of skill). Movement physics was also modified to give better air control and faster movement as a result.

As of 2022 the game has a small but pretty active community of regular players, centered mostly in Europe. There are regulars playing every day, big pros, noobs, famous spammers, campers, and nice conversations can be held during games. There are [memes](meme.md) and inside jokes. The community is pretty neat.

Better yet, the main servers have so far not been infected by the [SJW poison](tranny_software.md) and **allow a great amount of [free speech](free_speech.md)** -- another rarity. Even the game itself contains speech that SJWs would consider "offensive", there are e.g. voice lines calling other players "pussies" and even "retards". This is great.

The game can be highly customized and modded. Just like in other Quake engine games, there are many console commands (*cvars*) to alter almost anything about the game. Advanced programming can be done using [QuakeC](quakec.md). Maps can be created e.g. with [netradiant](netradiant.md).
